Installation problem

Installation problem

Discuss everything related to running Spring on your chosen distribution of Linux.

Moderator: Moderators

Post Reply
Ailinux
Posts: 6
Joined: 27 Oct 2012, 10:18

Installation problem

Post by Ailinux »

hello,
I try to install Spring in my machine Opensuse 12.1, but still this problem :

Code: Select all

Linking CXX executable ../../../spring                                                                                                                                              
/usr/lib/gcc/i586-suse-linux/4.6/../../../../i586-suse-linux/bin/ld: ../../lib/pp/libpp-supplier.a(PP_Supplier.cpp.o): undefined reference to symbol 'shm_open@@GLIBC_2.2'          
/usr/lib/gcc/i586-suse-linux/4.6/../../../../i586-suse-linux/bin/ld: note: 'shm_open@@GLIBC_2.2' is defined in DSO /lib/librt.so.1 so try adding it to the linker command line
/lib/librt.so.1: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[3]: *** [spring] Erreur 1
make[2]: *** [rts/builds/default/CMakeFiles/spring.dir/all] Erreur 2
make[1]: *** [rts/builds/default/CMakeFiles/spring.dir/rule] Erreur 2
make: *** [spring] Erreur 2
thank you for your help
abma
Spring Developer
Posts: 3704
Joined: 01 Jun 2009, 00:08

Re: Installation problem

Post by abma »

where does lib/pp/libpp-supplier.a(PP_Supplier.cpp.o) come from?

it seems like spring for some reason links to that lib but this also requires librt.so.1 / -lrt as linker flag.



i'm also confused about this error:
/lib/librt.so.1: could not read symbols: Invalid operation
is this file maybe broken?

what does

Code: Select all

ldd /lib/librt.so.1
output?
Ailinux
Posts: 6
Joined: 27 Oct 2012, 10:18

Re: Installation problem

Post by Ailinux »

I do not know what is the problem I followed the installation guide, but it does not work, I do not know what is missing, thank you for your help.
abma
Spring Developer
Posts: 3704
Joined: 01 Jun 2009, 00:08

Re: Installation problem

Post by abma »

please answer my questions...
Ailinux
Posts: 6
Joined: 27 Oct 2012, 10:18

Re: Installation problem

Post by Ailinux »

hi guys,
I found the solution, I added-lrt in the makefile.
but now I have another problem, I ran the second command "make install-spring" and I get this error:

Code: Select all

Creating cursors.sdz
[ 76%] Built target gamedata
[ 76%]   Creating library SkirmishAI.jar
nulljavaai/NullJavaAI.java:21: package com.springrts.ai does not exist                                                                                           
import com.springrts.ai.*;
^
nulljavaai/NullJavaAI.java:22: package com.springrts.ai.event does not exist
import com.springrts.ai.event.*;
^
nulljavaai/NullJavaAI.java:23: package com.springrts.ai.command does not exist
import com.springrts.ai.command.*;
^
nulljavaai/NullJavaAI.java:37: cannot find symbol
symbol: class AI
public class NullJavaAI implements AI {
                                   ^
nulljavaai/NullJavaAI.java:40: cannot find symbol
symbol  : class AICallback
location: class nulljavaai.NullJavaAI
        private AICallback clb = null;
                ^
nulljavaai/NullJavaAI.java:81: cannot find symbol
symbol  : class AICallback
location: class nulljavaai.NullJavaAI
        public int init(int teamId, AICallback callback) {
                                    ^
nulljavaai/NullJavaAI.java:80: method does not override or implement a method from a supertype
        @Override
        ^
nulljavaai/NullJavaAI.java:141: method does not override or implement a method from a supertype
        @Override
        ^
nulljavaai/NullJavaAI.java:167: cannot find symbol
symbol  : variable InitAIEvent
location: class nulljavaai.NullJavaAI
                        if (topic == InitAIEvent.TOPIC) {
                                     ^
nulljavaai/NullJavaAI.java:170: cannot find symbol
symbol  : class InitAIEvent
location: class nulljavaai.NullJavaAI
                                InitAIEvent evt = new InitAIEvent(event);
                                ^
nulljavaai/NullJavaAI.java:170: cannot find symbol
symbol  : class InitAIEvent
location: class nulljavaai.NullJavaAI
                                InitAIEvent evt = new InitAIEvent(event);
                                                      ^
nulljavaai/NullJavaAI.java:190: cannot find symbol
symbol  : variable UpdateAIEvent
location: class nulljavaai.NullJavaAI
                        } else if (topic == UpdateAIEvent.TOPIC) {
                                            ^
nulljavaai/NullJavaAI.java:191: cannot find symbol
symbol  : class UpdateAIEvent
location: class nulljavaai.NullJavaAI
                                UpdateAIEvent evt = new UpdateAIEvent(event);
                                ^
nulljavaai/NullJavaAI.java:191: cannot find symbol
symbol  : class UpdateAIEvent
location: class nulljavaai.NullJavaAI
                                UpdateAIEvent evt = new UpdateAIEvent(event);
                                                        ^
nulljavaai/NullJavaAI.java:200: cannot find symbol
symbol  : class SendTextMessageAICommand
location: class nulljavaai.NullJavaAI
                                        SendTextMessageAICommand cmd = new SendTextMessageAICommand();
                                        ^
nulljavaai/NullJavaAI.java:200: cannot find symbol
symbol  : class SendTextMessageAICommand
location: class nulljavaai.NullJavaAI
                                        SendTextMessageAICommand cmd = new SendTextMessageAICommand();
                                                                           ^
nulljavaai/NullJavaAI.java:158: method does not override or implement a method from a supertype
        @Override
        ^
17 errors
make[3]: *** [AI/Skirmish/NullJavaAI/CMakeFiles/NullJavaAI] Erreur 1
make[2]: *** [AI/Skirmish/NullJavaAI/CMakeFiles/NullJavaAI.dir/all] Erreur 2
make[1]: *** [rts/builds/default/CMakeFiles/install-spring.dir/rule] Erreur 2
make: *** [install-spring] Erreur 2
you have an idea of what I'm missing
thank you
abma
Spring Developer
Posts: 3704
Joined: 01 Jun 2009, 00:08

Re: Installation problem

Post by abma »

just disable the java ai's / interface in CMakeCache.txt
AI_TYPES:STRING=NATIVE

(this / similar errors where caused by differences between awk/gawk which is used to generate the java code....)
Ailinux
Posts: 6
Joined: 27 Oct 2012, 10:18

Re: Installation problem

Post by Ailinux »

thank you guys, all works fine.
Post Reply

Return to “Linux”